Bug 834384 - firefox does not work in sandbox mode
firefox does not work in sandbox mode
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: policycoreutils (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-21 14:04 EDT by Germano Massullo
Modified: 2012-06-29 17:11 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-29 17:11:41 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Germano Massullo 2012-06-21 14:04:15 EDT
Description of problem:
running firefox with
sandbox -X -t sandbox_web_t -W metacity firefox
or
sandbox -X -t sandbox_web_t firefox

gives a black windows and the following errors

WARNING: Policy would be downgraded from version 27 to 26.

** (process:30558): WARNING **: Trying to register gtype 'GMountMountFlags' as enum when in fact it is of type 'GFlags'

** (process:30558): WARNING **: Trying to register gtype 'GDriveStartFlags' as enum when in fact it is of type 'GFlags'

** (process:30558): WARNING **: Trying to register gtype 'GSocketMsgFlags' as enum when in fact it is of type 'GFlags'
Comment 1 Germano Massullo 2012-06-21 14:17:07 EDT
policycoreutils 2.1.11
selinux-policy 3.10.0
Comment 2 Germano Massullo 2012-06-21 14:18:19 EDT
I pasted partial infos... Here is better
Nome         : policycoreutils
Arch         : x86_64
Versione     : 2.1.11
Rilascio     : 18.fc17

Nome         : selinux-policy
Arch         : noarch
Versione     : 3.10.0
Rilascio     : 132.fc17
Comment 3 Daniel Walsh 2012-06-25 21:35:31 EDT
Update to the latest X, which has a fix for this problem.

xorg-x11-server-1.12.0-4.fc17
Comment 4 Germano Massullo 2012-06-26 09:22:54 EDT
ok it works

Note You need to log in before you can comment on or make changes to this bug.